Bug 214758 - [NEW PORT] graphics/openorienteering-mapper: Map drawing program from OpenOrienteering
Summary: [NEW PORT] graphics/openorienteering-mapper: Map drawing program from OpenOri...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: http://www.openorienteering.org/apps/...
Keywords:
Depends on: 214730
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-22 21:28 UTC by Nikolay Korotkiy
Modified: 2018-05-09 19:38 UTC (History)
3 users (show)

See Also:


Attachments
openorienteering-mapper 0.6.6 (10.84 KB, patch)
2016-11-22 21:28 UTC, Nikolay Korotkiy
no flags Details | Diff
openorienteering-mapper 0.6.7 (9.54 KB, patch)
2017-01-05 12:42 UTC, Nikolay Korotkiy
no flags Details | Diff
openorienteering-mapper 0.6.8 (9.49 KB, patch)
2017-03-07 08:29 UTC, Nikolay Korotkiy
no flags Details | Diff
openorienteering-mapper 0.7.0 (7.92 KB, patch)
2017-07-11 12:47 UTC, Nikolay Korotkiy
no flags Details | Diff
openorienteering-mapper 0.7.0 (8.53 KB, patch)
2017-07-14 22:48 UTC, Nikolay Korotkiy
no flags Details | Diff
openorienteering-mapper 0.7.0 (18.61 KB, patch)
2017-07-21 10:26 UTC, Nikolay Korotkiy
no flags Details | Diff
openorienteering-mapper 0.8.1 (17.84 KB, patch)
2018-04-14 20:31 UTC, Nikolay Korotkiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolay Korotkiy 2016-11-22 21:28:01 UTC
Created attachment 177300 [details]
openorienteering-mapper 0.6.6

OpenOrienteering Mapper (OOM) is a software for creating
maps for the orienteering sport.
Comment 1 Nikolay Korotkiy 2017-01-05 12:42:49 UTC
Created attachment 178543 [details]
openorienteering-mapper 0.6.7

Update OOM from 0.6.6 to 0.6.7.
Comment 2 Nikolay Korotkiy 2017-03-07 08:29:45 UTC
Created attachment 180589 [details]
openorienteering-mapper 0.6.8

Update to 0.6.8.
Comment 3 Olivier Duchateau freebsd_committer 2017-03-07 18:39:49 UTC
Nikolay, I check your Makefile, and upstream CMakeLists.txt. You disable Mapper_BUILD_QT option, but in your Makefile you load Qt5 modules. Qt5 is prerequisites for this option.
Comment 4 Olivier Duchateau freebsd_committer 2017-03-07 18:44:21 UTC
Sorry, I saw why you disable this option.
Comment 5 Olivier Duchateau freebsd_committer 2017-03-08 05:51:11 UTC
I get build error (with FreeBSD 10.3-RELEASE):

gmake -f test/CMakeFiles/georeferencing_t.dir/build.make test/CMakeFiles/georeferencing_t.dir/build
gmake[3]: Entering directory '/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build'
[ 14%] Building CXX object test/CMakeFiles/georeferencing_t.dir/georeferencing_t.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/georeferencing_t.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/test/georeferencing_t.cpp
[ 14%] Linking CXX static library libprintsupport.a
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/src/printsupport && /usr/local/bin/cmake -P CMakeFiles/printsupport.dir/cmake_clean_target.cmake
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/src/printsupport && /usr/local/bin/cmake -E cmake_link_script CMakeFiles/printsupport.dir/link.txt --verbose=1
/usr/bin/ar qc libprintsupport.a  CMakeFiles/printsupport.dir/advanced_pdf_printer.cpp.o CMakeFiles/printsupport.dir/qt-5.5.1/advanced_pdf.cpp.o CMakeFiles/printsupport.dir/qt-5.5.1/printengine_advanced_pdf.cpp.o CMakeFiles/printsupport.dir/qt-5.5.1/qfontsubset.cpp.o CMakeFiles/printsupport.dir/printer_properties.cpp.o
/usr/bin/ranlib libprintsupport.a
gmake[3]: Leaving directory '/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build'
[ 14%] Built target printsupport
[ 14%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/core/georeferencing.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/core/georeferencing.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/src/core/georeferencing.cpp
/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/test/locale_t.cpp:68:23: error: no matching constructor for initialization of 'QString'
        auto test_filename = QString { QLatin1String("some_dir/") + test_basename + QLatin1String("_eo.qm") };
                             ^       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/qt5/QtCore/qstring.h:223:14: note: candidate constructor not viable: no known conversion from 'QStringBuilder<typename QConcatenable<QStringBuilder<QLatin1String, QLatin1String> >::type, typename QConcatenable<QLatin1String>::type>' to 'const QChar *' for 1st argument
    explicit QString(const QChar *unicode, int size = -1);
             ^
/usr/local/include/qt5/QtCore/qstring.h:224:5: note: candidate constructor not viable: no known conversion from 'QStringBuilder<typename QConcatenable<QStringBuilder<QLatin1String, QLatin1String> >::type, typename QConcatenable<QLatin1String>::type>' to 'QChar' for 1st argument
    QString(QChar c);
    ^
/usr/local/include/qt5/QtCore/qstring.h:233:12: note: candidate constructor not viable: no known conversion from 'QStringBuilder<typename QConcatenable<QStringBuilder<QLatin1String, QLatin1String> >::type, typename QConcatenable<QLatin1String>::type>' to 'QString &&' for 1st argument
    inline QString(QString && other) Q_DECL_NOTHROW : d(other.d) { other.d = Data::sharedNull(); }
           ^
/usr/local/include/qt5/QtCore/qstring.h:782:12: note: candidate constructor not viable: no known conversion from 'QStringBuilder<typename QConcatenable<QStringBuilder<QLatin1String, QLatin1String> >::type, typename QConcatenable<QLatin1String>::type>' to 'const QString::Null' for 1st argument
    inline QString(const Null &): d(Data::sharedNull()) {}
           ^
/usr/local/include/qt5/QtCore/qstring.h:791:29: note: candidate constructor not viable: no known conversion from 'QStringBuilder<typename QConcatenable<QStringBuilder<QLatin1String, QLatin1String> >::type, typename QConcatenable<QLatin1String>::type>' to 'QStringDataPtr' for 1st argument
    Q_DECL_CONSTEXPR inline QString(QStringDataPtr dd) : d(dd.ptr) {}
                            ^
/usr/local/include/qt5/QtCore/qstring.h:797:5: note: candidate constructor not viable: no known conversion from 'QStringBuilder<typename QConcatenable<QStringBuilder<QLatin1String, QLatin1String> >::type, typename QConcatenable<QLatin1String>::type>' to 'const char *' for 1st argument
    QString(const char *ch);
    ^
/usr/local/include/qt5/QtCore/qstring.h:798:5: note: candidate constructor not viable: no known conversion from 'QStringBuilder<typename QConcatenable<QStringBuilder<QLatin1String, QLatin1String> >::type, typename QConcatenable<QLatin1String>::type>' to 'const QByteArray' for 1st argument
    QString(const QByteArray &a);
    ^
/usr/local/include/qt5/QtCore/qstring.h:874:17: note: candidate constructor not viable: no known conversion from 'QStringBuilder<typename QConcatenable<QStringBuilder<QLatin1String, QLatin1String> >::type, typename QConcatenable<QLatin1String>::type>' to 'QLatin1String' for 1st argument
inline QString::QString(QLatin1String aLatin1) : d(fromLatin1_helper(aLatin1.latin1(), aLatin1.size()))
                ^
/usr/local/include/qt5/QtCore/qstring.h:900:17: note: candidate constructor not viable: no known conversion from 'QStringBuilder<typename QConcatenable<QStringBuilder<QLatin1String, QLatin1String> >::type, typename QConcatenable<QLatin1String>::type>' to 'const QString &' for 1st argument
inline QString::QString(const QString &other) Q_DECL_NOTHROW : d(other.d)
                ^
/usr/local/include/qt5/QtCore/qstring.h:1077:17: note: candidate constructor not viable: requires 0 arguments, but 1 was provided
inline QString::QString() Q_DECL_NOTHROW : d(Data::sharedNull()) {}
                ^
/usr/local/include/qt5/QtCore/qstring.h:225:5: note: candidate constructor not viable: requires 2 arguments, but 1 was provided
    QString(int size, QChar c);
    ^
/usr/local/include/qt5/QtCore/qstring.h:790:5: note: candidate constructor not viable: requires 2 arguments, but 1 was provided
    QString(int size, Qt::Initialization);
    ^
1 error generated.
[ 15%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/core/latlon.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/core/latlon.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/src/core/latlon.cpp
[ 15%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/core/crs_template.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/core/crs_template.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/src/core/crs_template.cpp
[ 15%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/core/crs_template_implementation.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/core/crs_template_implementation.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/src/core/crs_template_implementation.cpp
gmake -f test/CMakeFiles/encoding_t.dir/build.make test/CMakeFiles/encoding_t.dir/depend
gmake[3]: *** [test/CMakeFiles/locale_t.dir/build.make:78: test/CMakeFiles/locale_t.dir/locale_t.cpp.o] Error 1
gmake[3]: *** Waiting for unfinished jobs....
gmake[3]: Entering directory '/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build'
[ 15%] Building CXX object test/CMakeFiles/locale_t.dir/__/src/mapper_resource.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/locale_t.dir/__/src/mapper_resource.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/src/mapper_resource.cpp
[ 15%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/gui/widgets/crs_param_widgets.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/gui/widgets/crs_param_widgets.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/src/gui/widgets/crs_param_widgets.cpp
[ 15%] Generating __/src/util/moc_encoding.cpp
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/__/src/util && /usr/local/lib/qt5/bin/moc @/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/__/src/util/moc_encoding.cpp_parameters
[ 15%] Generating moc_encoding_t.cpp
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/local/lib/qt5/bin/moc @/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/moc_encoding_t.cpp_parameters
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build && /usr/local/bin/cmake -E cmake_depends "Unix Makefiles" /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8 /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/test /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/CMakeFiles/encoding_t.dir/DependInfo.cmake
Scanning dependencies of target encoding_t
gmake[3]: Leaving directory '/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build'
gmake -f test/CMakeFiles/encoding_t.dir/build.make test/CMakeFiles/encoding_t.dir/build
gmake[3]: Entering directory '/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build'
[ 15%] Building CXX object test/CMakeFiles/encoding_t.dir/encoding_t.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/encoding_t.dir/encoding_t.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/test/encoding_t.cpp
gmake[3]: Leaving directory '/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build'
gmake[2]: *** [CMakeFiles/Makefile2:1839: test/CMakeFiles/locale_t.dir/all] Error 2
gmake[2]: *** Waiting for unfinished jobs....
[ 15%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/mapper_resource.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/mapper_resource.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/src/mapper_resource.cpp
[ 15%] Building CXX object test/CMakeFiles/encoding_t.dir/__/src/util/encoding.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/encoding_t.dir/__/src/util/encoding.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/src/util/encoding.cpp
[ 16%] Building CXX object test/CMakeFiles/encoding_t.dir/moc_encoding_t.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/encoding_t.dir/moc_encoding_t.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/moc_encoding_t.cpp
[ 17%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/file_format.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/file_format.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/mapper-0.6.8/src/file_format.cpp
[ 17%] Building CXX object test/CMakeFiles/georeferencing_t.dir/moc_georeferencing_t.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/moc_georeferencing_t.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/moc_georeferencing_t.cpp
[ 17%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/core/moc_georeferencing.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/core/moc_georeferencing.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/__/src/core/moc_georeferencing.cpp
[ 17%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/core/moc_latlon.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/core/moc_latlon.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/__/src/core/moc_latlon.cpp
[ 17%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/core/moc_crs_template.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/core/moc_crs_template.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/__/src/core/moc_crs_template.cpp
[ 17%] Building CXX object test/CMakeFiles/encoding_t.dir/__/src/util/moc_encoding.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/encoding_t.dir/__/src/u[ 17%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/core/moc_crs_template_implementation.cpp.o
til/moc_encoding.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/__/src/util/moc_encoding.cpp
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/core/moc_crs_template_implementation.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/__/src/core/moc_crs_template_implementation.cpp
[ 18%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/gui/widgets/moc_crs_param_widgets.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/gui/widgets/moc_crs_param_widgets.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/__/src/gui/widgets/moc_crs_param_widgets.cpp
[ 18%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/moc_mapper_resource.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/moc_mapper_resource.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/__/src/moc_mapper_resource.cpp
[ 18%] Linking CXX executable encoding_t
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/local/bin/cmake -E cmake_link_script CMakeFiles/encoding_t.dir/link.txt --verbose=1
/usr/bin/c++   -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fstack-protector CMakeFiles/encoding_t.dir/encoding_t.cpp.o CMakeFiles/encoding_t.dir/__/src/util/encoding.cpp.o CMakeFiles/encoding_t.dir/moc_encoding_t.cpp.o CMakeFiles/encoding_t.dir/__/src/util/moc_encoding.cpp.o  -o encoding_t -Wl,-rpath,/usr/local/lib:/usr/local/lib/qt5  /usr/local/lib/libproj.so /usr/local/lib/qt5/libQt5Test.so.5.7.1 /usr/local/lib/qt5/libQt5Widgets.so.5.7.1 /usr/local/lib/libpolyclipping.so /usr/local/lib/qt5/libQt5Gui.so.5.7.1 /usr/local/lib/qt5/libQt5Core.so.5.7.1 -Wl,-rpath-link,/usr/local/lib 
[ 18%] Building CXX object test/CMakeFiles/georeferencing_t.dir/__/src/moc_file_format.cpp.o
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/bin/c++   -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT -DQT_TESTCASE_BUILDDIR=\"/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build\" -DQT_TESTLIB_LIB -DQT_USE_QSTRINGBUILDER -DQT_WIDGETS_LIB -DUNICODE -D_USE_MATH_DEFINES -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/../src -I/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test -isystem /usr/local/include -isystem /usr/local/include/qt5 -isystem /usr/local/include/qt5/QtTest -isystem /usr/local/include/qt5/QtCore -isystem /usr/local/lib/qt5/mkspecs/freebsd-clang -isystem /usr/local/include/qt5/QtWidgets -isystem /usr/local/include/qt5/QtGui -isystem /usr/local/include/polyclipping  -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fPIC -std=gnu++1y -o CMakeFiles/georeferencing_t.dir/__/src/moc_file_format.cpp.o -c /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test/__/src/moc_file_format.cpp
gmake[3]: Leaving directory '/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build'
[ 18%] Built target encoding_t
[ 18%] Linking CXX executable georeferencing_t
cd /wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/test && /usr/local/bin/cmake -E cmake_link_script CMakeFiles/georeferencing_t.dir/link.txt --verbose=1
/usr/bin/c++   -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 -pipe -fstack-protector -fno-strict-aliasing   -fstack-protector CMakeFiles/georeferencing_t.dir/georeferencing_t.cpp.o CMakeFiles/georeferencing_t.dir/__/src/core/georeferencing.cpp.o CMakeFiles/georeferencing_t.dir/__/src/core/latlon.cpp.o CMakeFiles/georeferencing_t.dir/__/src/core/crs_template.cpp.o CMakeFiles/georeferencing_t.dir/__/src/core/crs_template_implementation.cpp.o CMakeFiles/georeferencing_t.dir/__/src/gui/widgets/crs_param_widgets.cpp.o CMakeFiles/georeferencing_t.dir/__/src/mapper_resource.cpp.o CMakeFiles/georeferencing_t.dir/__/src/file_format.cpp.o CMakeFiles/georeferencing_t.dir/moc_georeferencing_t.cpp.o CMakeFiles/georeferencing_t.dir/__/src/core/moc_georeferencing.cpp.o CMakeFiles/georeferencing_t.dir/__/src/core/moc_latlon.cpp.o CMakeFiles/georeferencing_t.dir/__/src/core/moc_crs_template.cpp.o CMakeFiles/georeferencing_t.dir/__/src/core/moc_crs_template_implementation.cpp.o CMakeFiles/georeferencing_t.dir/__/src/gui/widgets/moc_crs_param_widgets.cpp.o CMakeFiles/georeferencing_t.dir/__/src/moc_mapper_resource.cpp.o CMakeFiles/georeferencing_t.dir/__/src/moc_file_format.cpp.o  -o georeferencing_t -Wl,-rpath,/usr/local/lib:/usr/local/lib/qt5  /usr/local/lib/libproj.so /usr/local/lib/qt5/libQt5Test.so.5.7.1 /usr/local/lib/qt5/libQt5Widgets.so.5.7.1 /usr/local/lib/libpolyclipping.so /usr/local/lib/qt5/libQt5Gui.so.5.7.1 /usr/local/lib/qt5/libQt5Core.so.5.7.1 -Wl,-rpath-link,/usr/local/lib 
gmake[3]: Leaving directory '/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build'
[ 18%] Built target georeferencing_t
gmake[2]: Leaving directory '/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build'
gmake[1]: *** [Makefile:142: all] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/openorienteering-mapper
build of graphics/openorienteering-mapper ended at Tue Mar  7 23:24:39 CET 2017
build time: 00:03:04
!!! build failure encountered !!!


I use a slightly modified Makefile:

 PORTNAME=	openorienteering-mapper
 PORTVERSION=	0.6.8
+DISTVERSIONPREFIX=	v
 CATEGORIES=	graphics geography
 
 MAINTAINER=	sikmir@gmail.com
@@ -16,15 +17,16 @@
 USE_GITHUB=	yes
 GH_ACCOUNT=	OpenOrienteering
 GH_PROJECT=	mapper
-GH_TAGNAME=	v0.6.8
 
-USES=		cmake:outsource desktop-file-utils gmake shared-mime-info
-USE_QT5=	buildtools core gui help linguisttools network printsupport qdoc qmake qml testlib widgets xml
-
-CMAKE_ARGS+=	-DMapper_BUILD_QT=0 \
-		-DMapper_BUILD_CLIPPER=0    \
-		-DMapper_BUILD_PROJ=0       \
-		-DMapper_BUILD_DOXYGEN=0    \
+USES=		cmake:outsource desktop-file-utils gettext-runtime \
+	gmake shared-mime-info
+USE_QT5=	buildtools_build qmake_build core gui help linguisttools \
+	network printsupport qdoc testlib widgets
+
+CMAKE_ARGS+=	-DMapper_BUILD_QT:BOOL=OFF \
+		-DMapper_BUILD_CLIPPER:BOOL=OFF \
+		-DMapper_BUILD_PROJ:BOOL=OFF \
+		-DMapper_BUILD_DOXYGEN:BOOL=OFF \
 		-DMapper_PACKAGE_NAME=${PORTNAME} \
 		-Wno-dev
Comment 6 Nikolay Korotkiy 2017-03-09 00:59:57 UTC
My environment (build is OK):
11.0-RELEASE-p1
clang-3.8.0
qt-5.6.2

Your environment (build failed):
10.3-RELEASE
clang-?
qt-5.7.1

It looks like problem with clang, what version of yours?
Comment 7 Nikolay Korotkiy 2017-03-09 01:31:32 UTC
By the way, one more dependency should be added into USES list - doxygen.
Comment 8 Olivier Duchateau freebsd_committer 2017-03-09 05:40:49 UTC
(In reply to Nikolay from comment #6)

I think it uses the default compiler available in 10.3-RELEASE

FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512
Target: x86_64-unknown-freebsd10.3
Thread model: posix

Tonight I will try with Clang 3.9.
Comment 9 Rene Ladan freebsd_committer 2017-03-19 13:45:02 UTC
maintainer reset
Comment 10 Nikolay Korotkiy 2017-07-11 12:47:47 UTC
Created attachment 184257 [details]
openorienteering-mapper 0.7.0

Update to 0.7.0.
Comment 11 Kurt Jaeger freebsd_committer 2017-07-12 12:09:32 UTC
The man page Mapper.1 should be installed as .gz, as portlint says.

Testbuilds@work
Comment 12 Nikolay Korotkiy 2017-07-14 22:48:21 UTC
Created attachment 184366 [details]
openorienteering-mapper 0.7.0

Fixed portlint issues.
Comment 13 Kurt Jaeger freebsd_committer 2017-07-16 17:45:31 UTC
testbuild@work
Comment 14 Kurt Jaeger freebsd_committer 2017-07-16 18:01:59 UTC
Failed to build on 10.3 i386:

http://people.freebsd.org/~pi/logs/graphics__openorienteering-mapper-10i-1500227078.txt

Any ideas, why ?
Comment 15 Nikolay Korotkiy 2017-07-17 09:26:41 UTC
The reason is that Clang 3.4.1 (FreeBSD 10.3) is used, but Clang>=3.8.0 (FreeBSD 11.0) is required for successful build. Well, am I right that we should support both FreeBSD productions: 11.0 and 10.3? If so, I'll add patches to fix it.
Comment 16 Kurt Jaeger freebsd_committer 2017-07-17 09:35:27 UTC
10.3 is still supported until 30th of April, 2018, and then 10.4 will be supported a little bit longer, so yes, please provide a way to build it on 10.3.
Comment 17 Nikolay Korotkiy 2017-07-21 10:26:33 UTC
Created attachment 184566 [details]
openorienteering-mapper 0.7.0

1) Fixed build on FreeBSD 10.3 (actually no patch is needed, "USES+=compiler:c++14-lang" do the magic).
2) Many improvements have been made (added options DOC, EXAMPLES, GDAL, NLS, TEST)
Comment 18 Kurt Jaeger freebsd_committer 2017-07-23 09:06:33 UTC
testbuilds@work
Comment 19 Kurt Jaeger freebsd_committer 2017-07-29 14:29:09 UTC
Build fails:

-- Configuring Mapper user manual
CMake Error at doc/manual/CMakeLists.txt:52 (find_package):
  By not providing "FindQt5Help.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "Qt5Help", but
  CMake did not find one.

  Could not find a package configuration file provided by "Qt5Help" with any
  of the following names:

    Qt5HelpConfig.cmake
    qt5help-config.cmake

Full log see
http://people.freebsd.org/~pi/logs/graphics__openorienteering-mapper-cur-1501311709.txt
Comment 20 Nikolay Korotkiy 2017-08-01 08:45:13 UTC
(In reply to Kurt Jaeger from comment #19)
Kurt, does it fail only on 12.0-CURRENT? I cannot reproduce the fail on fresh installed 11.1-RELEASE or 10.3-RELEASE.
Comment 21 Nikolay Korotkiy 2018-04-14 20:31:39 UTC
Created attachment 192517 [details]
openorienteering-mapper 0.8.1

Update to 0.8.1.
Comment 22 Kurt Jaeger freebsd_committer 2018-04-15 02:29:43 UTC
testbuild@work
Comment 23 Kurt Jaeger freebsd_committer 2018-04-15 08:48:38 UTC
I needed to add 'help' to USE_QT5, then it failed (on 10i, 11.1a, current) with

-- CMAKE_C_FLAGS_RELEASE: -O2 -pipe  -fstack-protector -fno-strict-aliasing
-- Configuring incomplete, errors occurred!
See also "/wrkdirs/usr/ports/graphics/openorienteering-mapper/work/.build/CMakeFiles/CMakeOutput.log".

See

https://people.freebsd.org/~pi/logs/graphics__openorienteering-mapper-10i-1523778568.txt
https://people.freebsd.org/~pi/logs/graphics__openorienteering-mapper-111-1523778568.txt
https://people.freebsd.org/~pi/logs/graphics__openorienteering-mapper-cur-1523778568.txt

and for the cmake output:

https://people.freebsd.org/~pi/logs/oo-mapper-CMakeOutput.log
Comment 24 Nikolay Korotkiy 2018-04-15 09:07:02 UTC
The reason is here:

CMake Error at doc/licensing/CMakeLists.txt:198 (message):
  No license file for gdal (/usr/local/share/licenses/gdal*/LICENSE)

Why you have no gdal LICENSE file?
Comment 25 Kurt Jaeger freebsd_committer 2018-04-15 10:09:03 UTC
Valid question, I'm trying to find out...
Comment 26 Kurt Jaeger freebsd_committer 2018-04-15 12:12:12 UTC
I had

DISABLE_LICENSES=yes

in /usr/local/etc/poudriere.d/make.conf, which seems to cause this.
License files are not installed in that case. Surprise!

I'm changing this and test-build again.
Comment 27 Kurt Jaeger freebsd_committer 2018-04-15 13:49:34 UTC
Looks good on current and 11.1, fails on 10.3i. As the 10.3 lifecycle ends real-soon-now, I consider to mark it BROKEN on 10.
Comment 28 Kurt Jaeger freebsd_committer 2018-04-15 15:45:30 UTC
Committed, thanks!
Comment 29 commit-hook freebsd_committer 2018-04-15 15:46:05 UTC
A commit references this bug:

Author: pi
Date: Sun Apr 15 15:45:14 UTC 2018
New revision: 467396
URL: https://svnweb.freebsd.org/changeset/ports/467396

Log:
  New port: graphics/openorienteering-mapper

  OpenOrienteering Mapper is a software for creating
  maps for the orienteering sport.

  WWW: http://www.openorienteering.org/apps/mapper/

  PR:		214758
  Submitted by:	Nikolay <sikmir@gmail.com>
  Reviewed by:	olivierd

Changes:
  head/graphics/Makefile
  head/graphics/openorienteering-mapper/
  head/graphics/openorienteering-mapper/Makefile
  head/graphics/openorienteering-mapper/distinfo
  head/graphics/openorienteering-mapper/files/
  head/graphics/openorienteering-mapper/files/patch-CMakeLists.txt
  head/graphics/openorienteering-mapper/files/patch-doc_licensing_freebsd-licensing.cmake
  head/graphics/openorienteering-mapper/files/patch-packaging_CMakeLists.txt
  head/graphics/openorienteering-mapper/files/patch-packaging_custom__install.cmake.in
  head/graphics/openorienteering-mapper/files/patch-src_CMakeLists.txt
  head/graphics/openorienteering-mapper/files/patch-src_gdal_CMakeLists.txt
  head/graphics/openorienteering-mapper/files/patch-src_mapper__config.h.in
  head/graphics/openorienteering-mapper/files/patch-translations_CMakeLists.txt
  head/graphics/openorienteering-mapper/files/patch-translations_translate__text__files.sh
  head/graphics/openorienteering-mapper/pkg-descr
  head/graphics/openorienteering-mapper/pkg-plist
Comment 30 Kurt Jaeger freebsd_committer 2018-04-15 20:45:47 UTC
TODO: unbreak after 10.3 EOL, because it builds on 10.4
Comment 31 Kurt Jaeger freebsd_committer 2018-05-09 19:37:30 UTC
Done!
Comment 32 commit-hook freebsd_committer 2018-05-09 19:38:10 UTC
A commit references this bug:

Author: pi
Date: Wed May  9 19:37:26 UTC 2018
New revision: 469463
URL: https://svnweb.freebsd.org/changeset/ports/469463

Log:
  graphics/openorienteering-mapper: unbreak on 10

  - it builds on 10.4
  - 10.3 is no longer supported

  PR:		214758
  Submitted by:	Nikolay <sikmir@gmail.com>

Changes:
  head/graphics/openorienteering-mapper/Makefile